For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all identity providers

How to fetch a collection of identity providers via API

To fetch a collection of identity providers, send a GET request to the /api/identity_providers endpoint.

Request

GET https://provisioning.commercelayer.io/api/identity_providers

Example

The following request fetches a collection of identity providers:

curl -g -X GET \
  'https://provisioning.commercelayer.io/api/identity_providers/' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer {{your_access_token}}'

On success, the API responds with a 200 OK status code, returning a paginated collection of resource objects:

{
  "data": [
    {
      "id": "xYZkjABcde",
      "type": "identity_providers",
      "links": {
        "self": "https://provisioning.commercelayer.io/api/identity_providers/xYZkjABcde"
      },
      "attributes": {
        "name": "Org auth0",
        "client_id": "a6CDk5v1ZV99GrtOcfYVEZRnDDt",
        "client_secret": "s6CD55v1ZV99ArtOcfYVEZRnDDf",
        "issuer": "https://dev.auth987.com/",
        "status": "pending",
        "domains": "dev.auth987.com,stg.auth987.com",
        "token_url": "https://dev.auth987.com/oauth/token",
        "authorize_url": "https://dev.auth987.com/authorize",
        "jwks_url": "https://dev.auth987.com/.well-known/jwks.json",
        "txt_record": "cl-verification=a6CDk5v",
        "organization": "org_76gsfs5gd",
        "created_at": "2018-01-01T12:00:00.000Z",
        "updated_at": "2018-01-01T12:00:00.000Z",
        "reference": "ANY-EXTERNAL-REFEFERNCE",
        "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
        "metadata": {
          "foo": "bar"
        },
        "disabled_at": "2018-01-01T12:00:00.000Z"
      },
      "relationships": {
        "user": {
          "links": {
            "self": "https://provisioning.commercelayer.io/api/identity_providers/xYZkjABcde/relationships/user",
            "related": "https://provisioning.commercelayer.io/api/identity_providers/xYZkjABcde/user"
          }
        }
      }
    },
    {
      "other": "... 9 identity_providers (first page)"
    }
  ],
  "meta": {
    "record_count": 140,
    "page_count": 14
  },
  "links": {
    "first": "https://provisioning.commercelayer.io/identity_providers?page[number]=1&page[size]=10",
    "next": "https://provisioning.commercelayer.io/identity_providers?page[number]=2&page[size]=10",
    "last": "https://provisioning.commercelayer.io/identity_providers?page[number]=14&page[size]=10"
  }
}

Remember that when you fetch a list of resources you get paginated result.

Sortable fields

The list of identity providers can be sorted by the following fields:

  • name

  • client_id

  • client_secret

  • issuer

  • status

  • domains

  • token_url

  • authorize_url

  • jwks_url

  • txt_record

  • organization

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

  • disabled_at

Filterable fields

The list of identity providers can be filtered by the following fields:

Attributes

  • name

  • status

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

  • metadata

  • disabled_at

Relationships

  • user

Last updated